Update an employee

Update an employee or activate/deactivate them.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The id or the public id of the employee to update

Body Params
string

The name of the employee. No duplicate is allowed.

string

The external code of the employee. Max length: 45 chars.

boolean

True to activate the employee, false to deactivate them. Will update the date_deactivated field with the current date. Activated is still accepted as an alias.

location_ids
array of int32s

The ids of the locations the employee belongs to (see GET /v3/locations). Replaces all of the employee's current locations. Must contain at least one id; every id must be an active (non-archived) location of your company. The first id becomes the employee's main location.

location_ids
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json